Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456607 - Pulseaudio doesn't work in kde session
Summary: Pulseaudio doesn't work in kde session
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: pulseaudio
Version: 8
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-24 21:57 UTC by Lukas Tvrdy
Modified: 2008-11-01 21:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-01 21:42:34 UTC


Attachments (Terms of Use)

Description Lukas Tvrdy 2008-07-24 21:57:38 UTC
Description of problem:
pulseaudio deamon fails at the start of every KDE session

Version-Release number of selected component (if applicable):
0.9.8-5.fc8

How reproducible:
often

Steps to Reproduce:
start KDE 3.5.9 session
  
Actual results:
My daily usecase :)
1.Start KDE session
2.pulseaudio -k
3.pulseaudio -D


Expected results:
Start KDE session and sound works 

Additional info:
Could you please make a new package available in repos for Fedora 8?

Comment 1 Rex Dieter 2008-07-28 14:24:02 UTC
I doubt just updating pulseaudio will magically fix what's going wrong for 
you.

Do you have kde-settings-pulseaudio pkg installed?
rpm -q kde-settings-pulseaudio

Comment 2 Rex Dieter 2008-09-06 17:29:06 UTC
Lukas, ping?

Comment 3 Lukas Tvrdy 2008-09-06 21:07:41 UTC
Hi Rex, I have installed that package:
kde-settings-pulseaudio-3.5-38.fc8

Comment 4 Rex Dieter 2008-09-06 21:45:08 UTC
ok, so pa still always fails on first attempt at starting, but succeeds on subsequent tries?

Comment 5 Lukas Tvrdy 2008-09-06 22:22:15 UTC
I don't know whether it fails to start...All I do is that first I kill it,
than I run it in daemon mode again..Probably it starts, but did not initialize the right way. I can't hear play/hear any sound til I do the "restart" of pa.

Amarok tells me that "Xine was not initialized.." (I got it in Slovak version...So it is not the right one..).

Comment 6 Lennart Poettering 2008-09-09 19:45:50 UTC
Please set "log-level=debug" in /etc/pulse/daemon.conf. Then log in and paste the syslog output of PA here.

Comment 7 Lukas Tvrdy 2008-09-11 10:14:03 UTC
I don't know what resolved the sitution, but few days I don't have problem with pulse audio.. I don't have to kill it and start the daemon mode again.

I did "log-level=debug" in /etc/pulse/daemon.con.
Here is "grep pulseaudio /var/log/messages"

http://lukast.mediablog.sk/tmp/pulse.log (130 kb)

Comment 8 Lennart Poettering 2008-11-01 21:42:34 UTC
Closing then.


Note You need to log in before you can comment on or make changes to this bug.